/* IBM Tivoli OMEGAMON XE for IMS for z/OS Situations                */

/* Add Heartbeat u-advisor for *HUB to drive IPFILTER                */


/* ***************************************************************** */
/* * Add the rule for doing heartbeat processing.                  * */
/* ***************************************************************** */

INSERT INTO O4SRV.SITDB
  (RULENAME,
   PREDICATE
  )
VALUES
  (
   'IMS_Plex_Heartbeat______________',
   'SELECT IDNAME,IDTYPE,IDSTATUS,ORIGINNODE,SMFID,IMSID,TIMESTAMP,
    SAMPLENO,ROWNO,NODELIST,IMSTYPE,MONSTAT,TRFSTAT,IMSVER,GRPCNT,
    PLEXNAME,LASTTIME,DSGROUP,SQGROUP FROM KIP.IPFILTER
    WHERE SYSTEM.PARMA("SITNAME", "IMS_Plex_Heartbeat", 18) AND
    SYSTEM.PARMA("VERSION", "##", 2) AND IDNAME = "*NOFETCH";'
  );

/* ** IMS Heartbeat ** */

$PARMS("Heart beat situation: This situation should never be raised");
INSERT INTO O4SRV.TSITDESC
  (SITNAME,
   ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   DESTNODE,
   EVENTATTR,
   HUB,
   LOCFLAG,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   NOCOL,
   NOTIFYARGS,
   NOTIFYOPTS,
   OBJECTLOCK,
   PRNAMES,
   QIBCLASSID,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   REFLEXOK,
   SENDMSGQ,
   SITINFO,
   SOURCE,
   TEXT,
   PDT
  )
VALUES
  ("IMS_Plex_Heartbeat",                                  /* SITNAME */
   ?,                                                      /* ADVICE */
   "00G0000000000000000000000000000000000000000" ,     /* AFFINITIES */
   "",                                                  /* ALERTLIST */
   "NNN",                                                 /* AUTOSOP */
   "*SYN",                                              /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "",                                                   /* DESTNODE */
   "",                                                  /* EVENTATTR */
   "",                                                        /* HUB */
   "",                                                    /* LOCFLAG */
   "",                                                   /* LSTCCSID */
   "1050214000000000",                                    /* LSTDATE */
   "V310",                                             /* LSTRELEASE */
   "BUILD",                                             /* LSTUSRPRF */
   "",                                                      /* NOCOL */
   "",                                                 /* NOTIFYARGS */
   "",                                                 /* NOTIFYOPTS */
   "",                                                 /* OBJECTLOCK */
   "",                                                    /* PRNAMES */
   "IMS_",                                             /* QIBCLASSID */
   "I",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000200",                                            /* REEF_TIME */
   "",                                                   /* REFLEXOK */
   "*NONE",                                              /* SENDMSGQ */
   "~",                                                   /* SITINFO */
   "",                                                     /* SOURCE */
   "Heartbeat situation to detect IMS data sharing groups",  /* TEXT */
   "*IF  *VALUE IMSplex_Filter.Group_Or_Subsystem_Name *EQ *NOFETCH"
  );
  
/* ***************************************************************** */
/* * Add the rule for doing heartbeat processing.                  * */
/* ***************************************************************** */

INSERT INTO O4SRV.TOBJACCL
  (HUB ,
   LSTDATE ,
   LSTUSRPRF ,
   NODEL ,
   OBJCLASS ,
   OBJNAME
  )
VALUES
  ("Y" ,                                                      /* HUB */
   "1050214000000000" ,                                   /* LSTDATE */
   "BUILD" ,                                            /* LSTUSRPRF */
   "*HUB" ,                                                 /* NODEL */
   "5140" ,                                              /* OBJCLASS */
   "IMS_Plex_Heartbeat"                                   /* OBJNAME */
  );


DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_CMD_CF_RLE_Pct_Critical"
;

$PARMS("More than 90% of the RLEs (Resource List Entries) in the Couplin
g facility are used. Operation of IMS may be severely impacted if RLE us
age reaches 100%. Actions: Identify the transaction(s) using the highest
 number of RLEs and terminate one or more of them. Redesign the transact
ion to use less RLEs. Increase the number of RLEs in the Coupling Facili
ty,");

INSERT INTO O4SRV.TSITDESC
  (ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   PDT,
   PRNAMES,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITINFO,
   SITNAME,
   TEXT
  )
VALUES
  (?,                                                      /* ADVICE */     
   "00G0000000000000000000000000000000000000000",      /* AFFINITIES */
   "*NO",                                               /* ALERTLIST */
   "NNN",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "0980901151639000",                                    /* LSTDATE */
   "V100",                                             /* LSTRELEASE */
   "SYSADMIN",                                          /* LSTUSRPRF */
   "*IF *VALUE CF_Group_Name.Record_Used_Percent *GE 90",     /* PDT */
   "MV215",                                               /* PRNAMES */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000200",                                            /* REEV_TIME */
   "*NONE",                                              /* SENDMSGQ */
   "~",                                                   /* SITINFO */
   "IMS_CMD_CF_RLE_Pct_Critical",                         /* SITNAME */
   "CF RLE percent used exceeded the critical threshold."    /* TEXT */
  );

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_CMD_Lock_Wait_Time_Criti
cal";

$PARMS("A transaction is waiting for more than 7 seconds for a resource.
 Action: Identify the owner of the resource. If one of the involved tran
sactions is not working correctly, terminate it. Perhaps redesign it to 
use resources more efficiently.");

INSERT INTO O4SRV.TSITDESC
  (ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   PDT,
   PRNAMES,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITINFO,
   SITNAME,
   TEXT
  )
VALUES
  (?,                                                      /* ADVICE */     
   "00G0000000000000000000000000000000000000000",      /* AFFINITIES */
   "*NO",                                               /* ALERTLIST */
   "NNN",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "0980901151645000",                                    /* LSTDATE */
   "V100",                                             /* LSTRELEASE */
   "SYSADMIN",                                          /* LSTUSRPRF */
   "*IF *VALUE IMS_Lock_Conflicts.Lock_Status *EQ WAITER *AND *VALUE IMS
_Lock_Conflicts.Lock_Elapsed_Time *GE 7",                     /* PDT */
   "MV358 MV215",                                         /* PRNAMES */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000200",                                            /* REEV_TIME */
   "*NONE",                                              /* SENDMSGQ */
   "~",                                                   /* SITINFO */
   "IMS_CMD_Lock_Wait_Time_Critical",                     /* SITNAME */
   "Lock waiter elapsed time has exceeded the critical threshold."
  );

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_CMD_MQ_STATUS_Critical";

$PARMS("The connection to an MQ (Message Queuing) Subsystem is broken. A
ction: Reestablish the connection.");

INSERT INTO O4SRV.TSITDESC
  (ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   PDT,
   PRNAMES,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITINFO,
   SITNAME,
   TEXT
  )
VALUES
  (?,                                                      /* ADVICE */     
   "00G0000000000000000000000000000000000000000",      /* AFFINITIES */
   "*NO",                                               /* ALERTLIST */
   "NNN",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "0980901151647000",                                    /* LSTDATE */
   "V100",                                             /* LSTRELEASE */
   "SYSADMIN",                                          /* LSTUSRPRF */
   "*IF *VALUE Local_KIP_MQ_Statistics.Subsystem_Status *NE CONN",
                                                              /* PDT */
   "MV432",                                               /* PRNAMES */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "001500",                                            /* REEV_TIME */
   "*NONE",                                              /* SENDMSGQ */
   "~",                                                   /* SITINFO */
   "IMS_CMD_MQ_STATUS_Critical",                          /* SITNAME */
   "MQ Status critical warning for MQ Subsystems not connected"
  );

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_CMD_MSC_Q_Count_Critical
";

$PARMS("The number of messages waiting to be sent on a Multiple System C
oupling (MSC) link is equal or greater than the threshold of 55. Action:
 Examine the status of the MSC link. Take actions to make the link opera
tional again in case it is down.");
INSERT INTO O4SRV.TSITDESC
  (ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   PDT,
   PRNAMES,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITINFO,
   SITNAME,
   TEXT
  )
VALUES
  (?,                                                      /* ADVICE */     
   "00G0000000000000000000000000000000000000000",      /* AFFINITIES */
   "*NO",                                               /* ALERTLIST */
   "NNN",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "0980901151648000",                                    /* LSTDATE */
   "V100",                                             /* LSTRELEASE */
   "SYSADMIN",                                          /* LSTUSRPRF */
   "*IF *VALUE Local_MSC_Logical_Links.Queue_Count *GE 55",
                                                              /* PDT */
   "MV698",                                               /* PRNAMES */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000200",                                            /* REEV_TIME */
   "*NONE",                                              /* SENDMSGQ */
   "~",                                                   /* SITINFO */
   "IMS_CMD_MSC_Q_Count_Critical",                        /* SITNAME */
   "MSC Q count has exceeded the critical threshold"         /* TEXT */
  );

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_CMD_RTA_Group_Resp_Criti
cal";

$PARMS("The R0 response time of an RTA group has exceeded 2 seconds or t
he R1 response time has exceeded 7 seconds. Action: Determine the reason
 for the bad response time (transaction waiting for a resource, bad desi
gn, ...) ");

INSERT INTO O4SRV.TSITDESC
  (ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   PDT,
   PRNAMES,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITINFO,
   SITNAME,
   TEXT
  )
VALUES
  (?,                                                      /* ADVICE */     
   "00G0000000000000000000000000000000000000000",      /* AFFINITIES */
   "*NO",                                               /* ALERTLIST */
   "NNN",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "0980901151649000",                                    /* LSTDATE */
   "V100",                                             /* LSTRELEASE */
   "SYSADMIN",                                          /* LSTUSRPRF */
   "*IF *VALUE Local_RTA_GNT.R0_Time *GE 2 *OR *VALUE Local_RTA_GNT.R1_T
ime *GE 7",                                                   /* PDT */
   "MV165 MV58",                                          /* PRNAMES */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000200",                                            /* REEV_TIME */
   "*NONE",                                              /* SENDMSGQ */
   "~",                                                   /* SITINFO */
   "IMS_CMD_RTA_Group_Resp_Critical",                     /* SITNAME */
   "RTA Group has exceeded the critical threshold"           /* TEXT */
  );

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_IRLM_CF_RLE_Percent_Crit
";

$PARMS("More than 90% of the RLEs (Resource List Entries) in the Couplin
g facility are used. Operation of IMS may be severely impacted if RLE us
age reaches 100%. Actions: Identify the transaction(s) using the highest
 number of RLEs and terminate one or more of them. Redesign the transact
ion to use less RLEs. Increase the number of RLEs in the Coupling Facili
ty,");

INSERT INTO O4SRV.TSITDESC
  (ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   PDT,
   PRNAMES,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITINFO,
   SITNAME,
   TEXT
  )
VALUES
  (?,                                                      /* ADVICE */     
   "00G0000000000000000000000000000000000000000",      /* AFFINITIES */
   "*NO",                                               /* ALERTLIST */
   "NNN",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "0980901151650000",                                    /* LSTDATE */
   "V100",                                             /* LSTRELEASE */
   "SYSADMIN",                                          /* LSTUSRPRF */
   "*IF *VALUE CF_Group_Name.Record_Used_Percent *GE 90",     /* PDT */
   "MV432",                                               /* PRNAMES */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000100",                                            /* REEV_TIME */
   "*NONE",                                              /* SENDMSGQ */
   "~",                                                   /* SITINFO */
   "IMS_IRLM_CF_RLE_Percent_Crit",                        /* SITNAME */
   "CF RLE percent used exceeded the critical threshold."    /* TEXT */
  );

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_IRLM_CF_RLE_Percent_Warn
ing";

$PARMS("Between 80 and 90% of the RLEs (Resource List Entries) in the Co
upling facility are in use. Operation of IMS may be severely impacted if
 RLE usage reaches 100%. Actions: Identify the transaction(s) using the 
highest number of RLEs and terminate one or more of them. Redesign the t
ransaction to use less RLEs. Increase the number of RLEs in the Coupling
 Facility,");
 
INSERT INTO O4SRV.TSITDESC
  (ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   PDT,
   PRNAMES,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITINFO,
   SITNAME,
   TEXT
  )
VALUES
  (?,                                                      /* ADVICE */     
   "00G00000000000000000000000000000##000000000",      /* AFFINITIES */
   "*NO",                                               /* ALERTLIST */
   "NNN",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "0980819093951000",                                    /* LSTDATE */
   "V100",                                             /* LSTRELEASE */
   "SYSADMIN",                                          /* LSTUSRPRF */
   "*IF *VALUE CF_Group_Name.Record_Used_Percent *GE 80 *AND *VALUE CF_G
roup_Name.Record_Used_Percent *LT 90",                        /* PDT */
   "MV312 MV432",                                         /* PRNAMES */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000100",                                            /* REEV_TIME */
   "*NONE",                                              /* SENDMSGQ */
   "~",                                                   /* SITINFO */
   "IMS_IRLM_CF_RLE_Percent_Warning",                     /* SITNAME */
   "CF RLE percent used exceeded the warning threshold."     /* TEXT */
  );

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_MQ_Connection_Status";
DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_MSC_Queue_Count_Critical
";

$PARMS("The number of messages waiting to be sent on a Multiple System C
oupling (MSC) link is equal or greater than the threshold of 100. Action
: Examine the status of the MSC link. Take actions to make the link oper
ational again in case it is down.");

INSERT INTO O4SRV.TSITDESC
  (ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   PDT,
   PRNAMES,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITINFO,
   SITNAME,
   TEXT
  )
VALUES
  (?,                                                      /* ADVICE */     
   "00G0000000000000000000000000000000000000000",      /* AFFINITIES */
   "*NO",                                               /* ALERTLIST */
   "NNN",                                                /* AUTOSOPT */
   "*NO",                                              /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "0980901151652000",                                    /* LSTDATE */
   "V100",                                             /* LSTRELEASE */
   "SYSADMIN",                                          /* LSTUSRPRF */
   "*IF *VALUE Local_MSC_Logical_Links.Queue_Count *GE 100",  /* PDT */
   "MV698",                                               /* PRNAMES */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000100",                                            /* REEV_TIME */
   "*NONE",                                              /* SENDMSGQ */
   "~",                                                   /* SITINFO */
   "IMS_MSC_Queue_Count_Critical",                        /* SITNAME */
   "MSC queue count has exceeded the critical threshold."    /* TEXT */
  );

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_MSC_Queue_Count_Warning"
;

$PARMS("The number of messages waiting to be sent on a Multiple System C
oupling (MSC) link is between 50 and 99. Action: This is a Warning; no i
mmediate action required. Watch the MSC link.");
INSERT INTO O4SRV.TSITDESC
  (ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   PDT,
   PRNAMES,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITINFO,
   SITNAME,
   TEXT
  )
VALUES
  (?,                                                      /* ADVICE */     
   "00G00000000000000000000000000000##000000000",      /* AFFINITIES */
   "*NO",                                               /* ALERTLIST */
   "NNN",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "0980819094131000",                                    /* LSTDATE */
   "V100",                                             /* LSTRELEASE */
   "SYSADMIN",                                          /* LSTUSRPRF */
   "*IF *VALUE Local_MSC_Logical_Links.Queue_Count *GE 50 *AND *VALUE Lo
cal_MSC_Logical_Links.Queue_Count *LE 99",                    /* PDT */
   "MV698 MV752",                                         /* PRNAMES */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000100",                                            /* REEV_TIME */
   "*NONE",                                              /* SENDMSGQ */
   "~",                                                   /* SITINFO */
   "IMS_MSC_Queue_Count_Warning",                         /* SITNAME */
   "MSC queue count has exceeded the warning threshold."     /* TEXT */
  );

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_MSC_Queue_Status";

$PARMS("An MSC link is not open. Action: Activate it with command /ACTIV
ATE LINK link#. Contact your Network (VTAM) specialist, if this does not
 resolve the problem.");

INSERT INTO O4SRV.TSITDESC
  (ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   PDT,
   PRNAMES,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT
  )
VALUES
  (?,                                                      /* ADVICE */     
   "00G0000000000000000000000000000000000000000",      /* AFFINITIES */
   "*NO",                                               /* ALERTLIST */
   "NNN",                                                /* AUTOSOPT */
   "*NO",                                              /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "0980903153413000",                                    /* LSTDATE */
   "V100",                                             /* LSTRELEASE */
   "SYSADMIN",                                          /* LSTUSRPRF */
   "*IF *VALUE Local_MSC_Physical_Links.Physical_Link_Status *EQ NOTOPEN
",                                                            /* PDT */
   "MV152",                                               /* PRNAMES */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000100",                                            /* REEV_TIME */
   "*NONE",                                              /* SENDMSGQ */
   "IMS_MSC_Queue_Status",                                /* SITNAME */
   "The MSC Queue is not operational"                        /* TEXT */
  );

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_RTA_Group_Response_Criti
cal";

$PARMS("The R0 response time of an RTA group has exceeded 5 seconds or t
he R1 response time has exceeded 7 seconds. Action: Determine the reason
 for the bad response time (transaction waiting for a resource, bad desi
gn, ...) ");

INSERT INTO O4SRV.TSITDESC
  (ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   PDT,
   PRNAMES,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITINFO,
   SITNAME,
   TEXT
  )
VALUES
  (?,                                                      /* ADVICE */     
   "00G0000000000000000000000000000000000000000",      /* AFFINITIES */
   "*NO",                                               /* ALERTLIST */
   "NNN",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "0980901151653000",                                    /* LSTDATE */
   "V100",                                             /* LSTRELEASE */
   "SYSADMIN",                                          /* LSTUSRPRF */
   "*IF *VALUE Local_RTA_GNT.R0_Time *GE 5 *OR *VALUE Local_RTA_GNT.R1_T
ime *GE 7",                                                 /* PDT */
   "MV165 MV58",                                          /* PRNAMES */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000030",                                            /* REEV_TIME */
   "*NONE",                                              /* SENDMSGQ */
   "~",                                                   /* SITINFO */
   "IMS_RTA_Group_Response_Critical",                     /* SITNAME */
   "RTA Group response has exceeded the critical threshold."
  );

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_RTA_Group_Response_Warni
ng";

$PARMS("The R0 response time of an RTA group is between 3 and 5 seconds 
or the R1 response time is between 5 and 7 seconds. Action: No immediate
 action required. Watch the response time.");

INSERT INTO O4SRV.TSITDESC
  (ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   PDT,
   PRNAMES,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITINFO,
   SITNAME,
   TEXT
  )
VALUES
  (?,                                                      /* ADVICE */     
   "00G00000000000000000000000000000##000000000",      /* AFFINITIES */
   "*NO",                                               /* ALERTLIST */
   "NNN",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "0980819094204000",                                    /* LSTDATE */
   "V100",                                             /* LSTRELEASE */
   "SYSADMIN",                                          /* LSTUSRPRF */
   "*IF ( *VALUE Local_RTA_GNT.R0_Time *GE 3 *AND *VALUE Local_RTA_GNT.R
0_Time *LT 5) *OR ( *VALUE Local_RTA_GNT.R1_Time *GE 5 *AND *VALUE Local
_RTA_GNT.R1_Time *LT 7)",                                     /* PDT */
   "MV165 MV408 MV58 MV233",                              /* PRNAMES */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000030",                                            /* REEV_TIME */
   "*NONE",                                              /* SENDMSGQ */
   "~",                                                   /* SITINFO */
   "IMS_RTA_Group_Response_Warning",                      /* SITNAME */
   "RTA Group response has exceeded the warning threshold."  /* TEXT */
  );

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_RTA_Item_Response_Critic
al";

$PARMS("The R0 response time of an RTA item has exceeded 5 seconds or th
e R1 response time has exceeded 7 seconds. Action: Determine the reason 
for the bad response time (transaction waiting for a resource, bad desig
n, ...) ");
INSERT INTO O4SRV.TSITDESC
  (ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   PDT,
   PRNAMES,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITINFO,
   SITNAME,
   TEXT
  )
VALUES
  (?,                                                      /* ADVICE */     
   "00G0000000000000000000000000000000000000000",      /* AFFINITIES */
   "*NO",                                               /* ALERTLIST */
   "NNN",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "0980901151654000",                                    /* LSTDATE */
   "V100",                                             /* LSTRELEASE */
   "SYSADMIN",                                          /* LSTUSRPRF */
   "*IF *VALUE Local_RTA_INT.R0_Time *GE 5 *OR *VALUE Local_RTA_INT.R1_T
ime *GE 7",                                                   /* PDT */
   "MV165 MV58",                                          /* PRNAMES */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000030",                                            /* REEV_TIME */
   "*NONE",                                              /* SENDMSGQ */
   "~",                                                   /* SITINFO */
   "IMS_RTA_Item_Response_Critical",                      /* SITNAME */
   "RTA Item response has exceeded the critical threshold."  /* TEXT */
  );

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_RTA_Item_Response_Warnin
g";

$PARMS("The R0 response time of an RTA item is between 3 and 5 seconds 
or the R1 response time is between 5 and 7 seconds. Action: No immediate
 action required. Watch the response time.");

INSERT INTO O4SRV.TSITDESC
  (ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   PDT,
   PRNAMES,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITINFO,
   SITNAME,
   TEXT
  )
VALUES
  (?,                                                      /* ADVICE */     
   "00G00000000000000000000000000000##000000000",      /* AFFINITIES */
   "*NO",                                               /* ALERTLIST */
   "NNN",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "0980819094240000",                                    /* LSTDATE */
   "V100",                                             /* LSTRELEASE */
   "SYSADMIN",                                          /* LSTUSRPRF */
   "*IF ( *VALUE Local_RTA_INT.R0_Time *GE 3 *AND *VALUE Local_RTA_INT.R
0_Time *LT 5) *OR ( *VALUE Local_RTA_INT.R1_Time *GE 5 *AND *VALUE Local
_RTA_INT.R1_Time *LT 7)",                                     /* PDT */
   "MV165 MV408 MV58 MV233",                              /* PRNAMES */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000030",                                            /* REEV_TIME */
   "*NONE",                                              /* SENDMSGQ */
   "~",                                                   /* SITINFO */
   "IMS_RTA_Item_Response_Warning",                       /* SITNAME */
   "RTA Item response has exceeded the warning threshold."   /* TEXT */
  );

$PARMS("The pool identified in this exception has exceeded the threshold
 for largest free storage area. When the largest area available becomes 
too small to handle the request, applications can stall or terminate. Yo
u can address this issue by reducing the amount of work being requested 
or increasing the amount of storage available in the pool.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Pool Largest Free Space Low","1
040709095709000","00G0000000000000000000000000000000000000000","IMS_Larg
est_Freeblock_Warning","*IF *VALUE Pool_Utilization.Largest_Free_Block *
LE 4916 *AND *VALUE Pool_Utilization.Largest_Free_Block *GT 4096");
;

$PARMS("The pool identified in this exception has exceeded the threshold
 for largest free storage area. When the largest area available becomes 
too small to handle the request, applications can stall or terminate. Yo
u can address this issue by reducing the amount of work being requested 
or increasing the amount of storage available in the pool.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Pool Largest Free Space Low","1
040709095709000","00G0000000000000000000000000000000000000000","IMS_Larg
est_Freeblock_Critical","*IF *VALUE Pool_Utilization.Largest_Free_Block
*LE 4096");

$PARMS("The address space identified in the exception is using a higher
percent of CPU than the specified threshold. This could be an indication
 of a run away task or that the region is in the middle of error recover
y. If this condition persists, look at the job logs for the started task
 to determine if the region is abending.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Regions using high CPU","104070
9095709000","00G0000000000000000000000000000000000000000","IMS_CPU_High_
Warning","*IF *VALUE Address_Spaces.CPU_Percentage *GE 50.00 *AND *VALUE
Address_Spaces.CPU_Percentage *LT 60.00");

$PARMS("The address space identified in the exception is using a higher
percent of CPU than the specified threshold. This could be an indication
 of a run away task or that the region is in the middle of error recover
y. If this condition persists, look at the job logs for the started task
 to determine if the region is abending.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Regions using high CPU","104070
9095709000","00G0000000000000000000000000000000000000000","IMS_CPU_High_
Critical","*IF *VALUE Address_Spaces.CPU_Percentage *GE 60.00");

$PARMS("The address space identified in the exception is using a CPU per
centage less than the specified threshold.  This could be an indication
that part or all of your IMS system has stalled. If the problem persists
, verify that all regions are active and are in a normal status.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Regions using low CPU","1040709
095709000","00G0000000000000000000000000000000000000000","IMS_CPU_Low_Wa
rning","*IF *VALUE Address_Spaces.CPU_Percentage *LE 12.00 *AND *VALUE A
ddress_Spaces.CPU_Percentage *GT 10.00");

$PARMS("The address space identified in the exception is using a CPU per
centage less than the specified threshold.  This could be an indication
that part or all of your IMS system has stalled. If the problem persists
, verify that all regions are active and are in a normal status.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Regions using low CPU","1040709
095709000","00G0000000000000000000000000000000000000000","IMS_CPU_Low_Cr
itical","*IF *VALUE Address_Spaces.CPU_Percentage *LE 10.00");

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_Region_EXCP_High_Warning
";

$PARMS("The address space identified in the exception is doing more I/O
requests than the specified thresholds. The region may be in abend proce
ssing and generating a dump or attempting to recover from I/O errors on
a database. If the problem persists, you should look at the JOB for the
region to determine if it is currently running. ");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Region I/O Rate High","10407090
95709000","00G0000000000000000000000000000000000000000","IMS_Region_EXCP
_High_Warning","*IF *VALUE Address_Spaces.EXCP_Rate *GE 2.0 *AND *VALUE
Address_Spaces.EXCP_Rate *LT 3.0");

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_Region_EXCP_High_Critica
l";

$PARMS("The address space identified in the exception is doing more I/O
requests than the specified thresholds. The region may be in abend proce
ssing and generating a dump or attempting to recover from I/O errors on
a database. If the problem persists, you should look at the JOB for the
region to determine if it is currently running. ");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Region I/O Rate High","10407090
95709000","00G0000000000000000000000000000000000000000","IMS_Region_EXCP
_High_Critical","*IF *VALUE Address_Spaces.EXCP_Rate *GE 3.0");

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_Region_EXCP_Low_Warning"
;

$PARMS("The address space identified in the exception is doing fewer I/O
 requests than the specified thresholds. This could be an indication tha
t part of all of your IMS system has stalled. If the problem persists, y
ou should look at the JOB for the region to determine if it is currently
 running. ");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Region I/O Rate Low","104070909
5709000","00G0000000000000000000000000000000000000000","IMS_Region_EXCP_
Low_Warning","*IF *VALUE Address_Spaces.EXCP_Rate *LE 2.0 *AND *VALUE Ad
dress_Spaces.EXCP_Rate *GT 1.0");

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_Region_EXCP_Low_Critical
";

$PARMS("The address space identified in the exception is doing fewer I/O
 requests than the specified thresholds. This could be an indication tha
t part of all of your IMS system has stalled. If the problem persists, y
ou should look at the JOB for the region to determine if it is currently
 running. ");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Region I/O Rate Low","104070909
5709000","00G0000000000000000000000000000000000000000","IMS_Region_EXCP_
Low_Critical","*IF *VALUE Address_Spaces.EXCP_Rate *LE 1.0");

$PARMS("The address space identified in the exception is causing high pa
ge in rates for common storage. This could be an indication of a problem
 with an application using too much common storage or possibly looping.
If this condition persists, look at the job logs for the started task to
 determine if the region is abending.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Common storage page in rate hig
h","1040709095709000","00G0000000000000000000000000000000000000000","IMS
_Common_PageIn_High_Warning","*IF *VALUE Address_Spaces.Common_Page-In_R
ate *GE 2.0 *AND *VALUE Address_Spaces.Common_Page-In_Rate *LT 3.0");

$PARMS("The address space identified in the exception is causing high pa
ge in rates for common storage. This could be an indication of a problem
 with an application using too much common storage or possibly looping.
If this condition persists, look at the job logs for the started task to
 determine if the region is abending.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Common storage page in rate hig
h","1040709095709000","00G0000000000000000000000000000000000000000","IMS
_Common_PageIn_High_Critical","*IF *VALUE Address_Spaces.Common_Page-In_
Rate *GE 3.0");

$PARMS("The address space identified in the exception is causing high pa
ge in rates for private storage. This could be an indication of a proble
m with an application using too much private storage or possibly looping
. If this condition persists, look at the job logs for the started task
to determine if the region is abending.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Private storage page in rate hi
gh","1040709095709000","00G0000000000000000000000000000000000000000","IM
S_Private_PageIn_High_Warning","*IF *VALUE Address_Spaces.Private_Page-I
n_Rate *GE 2.0 *AND *VALUE Address_Spaces.Private_Page-In_Rate *LT 3.0")
;

$PARMS("The address space identified in the exception is causing high pa
ge in rates for private storage. This could be an indication of a proble
m with an application using too much private storage or possibly looping
. If this condition persists, look at the job logs for the started task
to determine if the region is abending.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Private storage page in rate hi
gh","1040709095709000","00G0000000000000000000000000000000000000000","IM
S_Private_PageIn_High_Critical","*IF *VALUE Address_Spaces.Private_Page-
In_Rate *GE 3.0");

$PARMS("The address space identified in the exception has a larger worki
ng set size than the specified threshold. This could be an indication of
 a problem with an application not freeing up storage after it is used o
r possibly a looping condition. If this condition persists, look at the
job logs for the started task to determine if the region is abending.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Region working set high","10407
09095709000","00G0000000000000000000000000000000000000000","IMS_WSS_High
_Warning","*IF *VALUE Address_Spaces.Working_Set_Size *GE 1200 *AND *VAL
UE Address_Spaces.Working_Set_Size *LT 1500");

$PARMS("The address space identified in the exception has a larger worki
ng set size than the specified threshold. This could be an indication of
 a problem with an application not freeing up storage after it is used o
r possibly a looping condition. If this condition persists, look at the
job logs for the started task to determine if the region is abending.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Region working set high","10407
09095709000","00G0000000000000000000000000000000000000000","IMS_WSS_High
_Critical","*IF *VALUE Address_Spaces.Working_Set_Size *GE 1500");


$PARMS("The address space identified in the exception has a smaller work
ing set size then the specified threshold. This could be an indication o
f a problem with an application or region being in a stalled state. If t
his condition persists, look at the job logs for the started task to det
ermine if the region is still usable.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Region working set low","104070
9095709000","00G0000000000000000000000000000000000000000","IMS_WSS_Low_W
arning","*IF *VALUE Address_Spaces.Working_Set_Size *LE 60 *AND *VALUE A
ddress_Spaces.Working_Set_Size *GT 50");

$PARMS("The address space identified in the exception has a smaller work
ing set size then the specified threshold. This could be an indication o
f a problem with an application or region being in a stalled state. If t
his condition persists, look at the job logs for the started task to det
ermine if the region is still usable.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Region working set low","104070
9095709000","00G0000000000000000000000000000000000000000","IMS_WSS_Low_C
ritical","*IF *VALUE Address_Spaces.Working_Set_Size *LE 50");

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_DS_I/ORate_High_Warning"
;

$PARMS("The system dataset identified in this exception has an I/O rate
higher than the specified threshold. High I/O rates could impact the per
formance of the IMS system. If this persists, you should verify that the
 dataset being used and the region using it are not having problems.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Dataset I/O Rate high","1040709
095709000","00G0000000000000000000000000000000000000000","IMS_DS_IORate_
High_Warning","*IF *VALUE IMS_I/O.I/O_Rate *GE 80.00 *AND *VALUE IMS_I/O
.I/O_Rate *LT 100.00");

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_DS_I/ORate_High_Critical
";

$PARMS("The system dataset identified in this exception has an I/O rate
higher than the specified threshold. High I/O rates could impact the per
formance of the IMS system. If this persists, you should verify that the
 dataset being used and the region using it are not having problems.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Dataset I/O Rate high","1040709
095709000","00G0000000000000000000000000000000000000000","IMS_DS_IORate_
High_Critical","*IF *VALUE IMS_I/O.I/O_Rate *GE 100.00");


$PARMS("The pool identified in this exception has exceeded the threshold
 for utilization. When pool space is exhausted, applications will stall
while waiting for the pool space to become available again. You can addr
ess this issue by reducing the amount of work being requested or increas
ing the amount of storage available in the pool.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Pool space utilization high","1
040709095709000","00G0000000000000000000000000000000000000000","IMS_Pool
_Util_High_Warning","*IF *VALUE Pool_Utilization.Utilization_Percentage
*GE 48.00 *AND *VALUE Pool_Utilization.Utilization_Percentage *LT 60.00"
);

$PARMS("The pool identified in this exception has exceeded the threshold
 for utilization. When pool space is exhausted, applications will stall
while waiting for the pool space to become available again. You can addr
ess this issue by reducing the amount of work being requested or increas
ing the amount of storage available in the pool.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Pool space utilization high","1
040709095709000","00G0000000000000000000000000000000000000000","IMS_Pool
_Util_High_Critical","*IF *VALUE Pool_Utilization.Utilization_Percentage
 *GE 60.00");

$PARMS("The total number of locks held has exceeded the threshold. When
the lock held count becomes too high, it increases the chances that ther
e will be lock contention and therefore causes performance degradation.
If one application is consuming most of the locks, you may want to verif
y that the application is not in a state where it cannot release the loc
ks it currently holds.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Held locks high","1040709095709
000","00G0000000000000000000000000000000000000000","IMS_Held_Locks_Warni
ng","*IF *VALUE Dependent_Regions.Locks_Held_Count *GE 8 *AND *VALUE Dep
endent_Regions.Locks_Held_Count *LT 10");

$PARMS("The total number of locks held has exceeded the threshold. When
the lock held count becomes too high, it increases the chances that ther
e will be lock contention and therefore causes performance degradation.
If one application is consuming most of the locks, you may want to verif
y that the application is not in a state where it cannot release the loc
ks it currently holds.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Held locks high","1040709095709
000","00G0000000000000000000000000000000000000000","IMS_Held_Locks_Criti
cal","*IF *VALUE Dependent_Regions.Locks_Held_Count *GE 10");

$PARMS("The control task has a TCB in SVC wait. This could slow down the
 performance of the IMS system if it persists. You should look at the jo
b for the IMS control region and determine if it has abnormally terminat
ed or is in the process of generating a dump.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Control task TCB in SVC wait","
1040709095709000","00G0000000000000000000000000000000000000000","IMS_Wai
tSVC","*IF *VALUE IMS_STATUS.Control_Task_TCB_in_SVC *EQ True");

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_DB_I/O_Errors";

$PARMS("The IMS system had a write error when trying to update the datab
ase identified in this exception. This database should be examined to de
termine if the data is still usable and valid.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Database Write error","10407090
95709000","00G0000000000000000000000000000000000000000","IMS_DB_IO_Error
s","*IF *VALUE VSAM/OSAM_Databases.Write_Error *EQ Yes");

$PARMS("The IMS system has had a problem when trying to dynamically back
 out of a change to a database. When this exception occurs, you should v
erify that the database identified by the exception is still usable and
contains the correct data. ");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Database dynamic back out error
","1040709095709000","00G0000000000000000000000000000000000000000","IMS_
DB_Dyn_Backout_Error","*IF *VALUE VSAM/OSAM_Databases.Dynamic_Backout_Er
ror *EQ Yes");

$PARMS("The IMS system had a write error when trying to update a data en
try database. The DEDB should be examined to determine if the data is st
ill usable and valid.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","DEDB write error","104070909570
9000","00G0000000000000000000000000000000000000000","IMS_DEDB_Error","*I
F *VALUE Data_Entry_Databases.I/O_Error *EQ True");

$PARMS("The pool identified in this exception has exceeded the threshold
 for number of pool fragments. This can lead to excessive amounts of pag
ing or to applications stalling because they cannot get a large enough p
ool area to handle the request. You can attempt to reduce the fragmentat
ion by terminating tasks that may not be critical to your environment.")
;

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Pool fragmentation","1040709095
709000","00G0000000000000000000000000000000000000000","IMS_PoolFreeBlock
s","*IF *VALUE Pool_Utilization.Free_Blocks *GT 1");

$PARMS("The device identified in this exception has not completed an I/O
 operation since the last time the device was tested. This is an indicat
ion that it is not responding and the condition should be checked by ope
rations.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Device not responding","1040709
095709000","00G0000000000000000000000000000000000000000","IMS_DeviceNotR
esponding","*IF *VALUE I/O_Devices.Responding *EQ No");

$PARMS("The device identified in this exception is currently not ready.
If this is a tape drive, it may simply be a matter of waiting for the cu
rrent long running operation to complete. If the problem persists, you s
hould contact operations to see if they can investigate what is happenin
g with the device.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Device not ready","104070909570
9000","00G0000000000000000000000000000000000000000","IMS_DeviceNotReady"
,"*IF *VALUE I/O_Devices.Ready *EQ No *AND *VALUE I/O_Devices.Type *EQ D
ASD");


$PARMS("The dependent region identified by this exception is currently s
wapped out of memory. This will cause delays the next time the dependent
 region is needed since all of it's pages will need to be brought back i
nto main storage. If the performance of the applications using this regi
on is critical, then you may want to consider making this region non-swa
ppable.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Dependent region swapped out","
1040709095709000","00G0000000000000000000000000000000000000000","IMS_Dep
RegSwappedOut","*IF *VALUE Dependent_Regions.Residence_Status *EQ Swappe
dOut");

$PARMS("The DB2 subsystem has been defined to the dependent region, but
the control region does not know about it. This is typically a configura
tion problem that should be discussed with the administrator of the IMS
system.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","DB2 subsystem not defined in co
ntrol region","1040709095709000","00G00000000000000000000000000000000000
00000","IMS_ExSubNoCtl","*IF *VALUE External_Subsystems.DEPRGN_but_no_CT
LRGN *EQ Yes");

$PARMS("The DB2 subsystem has been defined to the control region, but th
e dependent region identified in the exception does not know about it. T
his is typically a configuration problem that should be discussed with t
he administrator of the IMS system.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","DB2 subsystem not defined in de
pendent region","1040709095709000","00G000000000000000000000000000000000
0000000","IMS_ExSubNoDep","*IF *VALUE External_Subsystems.CTLRGN_but_no_
DEPRGN *EQ Yes");

$PARMS("This exception will trip if the IMS system is currently in shutd
own status, but has not yet completed. If this condition persists, it ma
y be an indication that one or more of the regions associated with the I
MS system has abended during the shutdown process. ");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","IMS system in shutdown","104070
9095709000","00G0000000000000000000000000000000000000000","IMS_Inactive"
,"*IF *VALUE IMS_STATUS.IMS_Shutdown_In_Progress *EQ True");


$PARMS("The device identified in this exception is currently in an I/O e
rror recovery state. The system will normally correct itself on this typ
e of a condition. However; if it is happening too frequently, the overal
l performance of your IMS applications could suffer or you may experienc
e loss of data. The hardware device should be checked by the hardware ve
ndor to insure that it is working properly.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Device in I/O error recovery","
1040709095709000","00G0000000000000000000000000000000000000000","IMS_Dev
iceErrorRecovery","*IF *VALUE I/O_Devices.In_Error_Recovery *EQ Yes");


$PARMS("The IRLM system has not connected to the data-sharing group. Unt
il this occurs, you will not be able to share data across a coupling fac
ility. You should check the IRLM job to see if it is running properly an
d contact IBM support if it is failing to connect to a properly configur
ed coupling facility.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","IRLM not connected to data-shar
ing group","1040709095709000","00G00000000000000000000000000000000000000
00","IMS_IRLM_Not_Connected","*IF *VALUE Internal_Resource_Lock_Manager.
IRLM_Active_in_Data_Sharing_Group *EQ No");

$PARMS("The IRLM system is inactive for this IMS. This may be valid if y
ou are not using IRLM as your lock manager. If the IRLM is required, inv
estigate the started task that is supposed to run IRLM to insure that it
 is functioning properly. You may need to simply restart the IRLM job.")
;

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","IRLM not available","1040709095
709000","00G0000000000000000000000000000000000000000","IMS_IRLM_Inactive
","*IF *VALUE IMS_STATUS.IRLM_Status *EQ Inactive");


$PARMS("The contention rate for data-sharing has exceeded the threshold.
 This may be an indication that an application is holding onto a lock lo
nger then it needs to. The locking reports in IMSPLEX can be used to det
ermine the owners and waiters for global locks.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","High data-sharing contention ra
tes","1040709095709000","00G0000000000000000000000000000000000000000","I
MS_IRLM_Contention_Warning","*IF *VALUE Internal_Resource_Lock_Manager.R
eal_Contention_Rate *GE 70 *AND *VALUE Internal_Resource_Lock_Manager.Re
al_Contention_Rate *LT 80");


$PARMS("The contention rate for data-sharing has exceeded the threshold.
 This may be an indication that an application is holding onto a lock lo
nger then it needs to. The locking reports in IMSPLEX can be used to det
ermine the owners and waiters for global locks.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","High data-sharing contention ra
tes","1040709095709000","00G0000000000000000000000000000000000000000","I
MS_IRLM_Contention_Critical","*IF *VALUE Internal_Resource_Lock_Manager.
Real_Contention_Rate *GE 80");


$PARMS("The IRLM system uses an RLE control block for keeping track of l
ock owners and waiters. There is a finite number of these control blocks
 available. If the utilization of this area goes to 100%, then requests
for locks in the IRLM will fail causing either delays in the application
s or termination of those applications. The applications currently holdi
ng the locks should be verified to make sure they are acting properly an
d releasing the locks after they are done with the pages.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","IRLM use of RLEs is high", "104
0709095709000","00G0000000000000000000000000000000000000000","IMS_IRLM_U
tilization_Warning","*IF *VALUE Internal_Resource_Lock_Manager.Percentag
e_of_RLEs_in_Use *GE 70.0 *AND *VALUE Internal_Resource_Lock_Manager.Per
centage_of_RLEs_in_Use *LT 80.0");

$PARMS("The IRLM system uses an RLE control block for keeping track of l
ock owners and waiters. There is a finite number of these control blocks
 available. If the utilization of this area goes to 100%, then requests
for locks in the IRLM will fail causing either delays in the application
s or termination of those applications. The applications currently holdi
ng the locks should be verified to make sure they are acting properly an
d releasing the locks after they are done with the pages.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","IRLM use of RLEs is high", "104
0709095709000","00G0000000000000000000000000000000000000000","IMS_IRLM_U
tilization_Critical","*IF *VALUE Internal_Resource_Lock_Manager.Percenta
ge_of_RLEs_in_Use *GE 80.0");


$PARMS("The number of IMS tasks that are waiting has exceeded the thresh
old. This is an indication that the system is not running as expected an
d analysis should be done to determine why the tasks are not active.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","IMS Tasks waiting","10407090957
09000","00G0000000000000000000000000000000000000000","IMS_Tasks_Waiting_
Warning","*IF *VALUE IMS_STATUS.ITASKs_Waiting *GE 40 *AND *VALUE IMS_ST
ATUS.ITASKs_Waiting *LT 50");


$PARMS("The number of IMS tasks that are waiting has exceeded the thresh
old. This is an indication that the system is not running as expected an
d analysis should be done to determine why the tasks are not active.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","IMS Tasks waiting","10407090957
09000","00G0000000000000000000000000000000000000000","IMS_Tasks_Waiting_
Critical","*IF *VALUE IMS_STATUS.ITASKs_Waiting *GE 50");


$PARMS("The Write Ahead capability enables the system to write data quic
ker by insuring that the resources needed for writing the data are avail
able. If this facility is not active, then some writes will take longer
to perform. The configuration for the IMS system should be checked to in
sure that write ahead is enabled.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Write ahead facility not active
","1040709095709000","00G0000000000000000000000000000000000000000","IMS_
LogTape_Writeahead","*IF *VALUE IMS_STATUS.Log_Tape_Write-ahead *EQ Inac
tive");


$PARMS("The VTAM ACB currently has a status of Closed and cannot be used
. This will cause connection problems for the physical terminals to IMS.
 Check the status of the VTAM started tasks to make sure they are runnin
g properly. You may need to contact operations to determine if there is
a network problem in the data center.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","VTAM ACB closed","1040709095709
000","00G0000000000000000000000000000000000000000","IMS_VTAM_ACB_Status"
,"*IF *VALUE IMS_STATUS.VTAM_ACB_Status *EQ Closed");


$PARMS("The logical unit status is inactive, which is an indication that
 many of your physical terminals will not be able to connect to the IMS
system. The VTAM system should be checked to make sure it is functioning
 properly.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","LU inactive","1040709095709000"
,"00G0000000000000000000000000000000000000000","IMS_LU_Status","*IF *VAL
UE IMS_STATUS.APPC_IMSLU_Status *EQ Inactive");


$PARMS("The Parallel DLI facility is inactive which will reduce the capa
bility of the IMS system to run concurrent DLI requests. The configurati
on of the IMS system should be checked to insure that the facility is en
abled.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Parallel DLI inactive","1040709
095709000","00G0000000000000000000000000000000000000000","IMS_Parallel_D
LI_Status","*IF *VALUE IMS_STATUS.Parallel_DL/I_Status *EQ Inactive");


$PARMS("The RECON dataset is currently reserved by another application.
This means that the dataset cannot be used by IMS until the reserve is r
eleased. Use the TSO LOCATE command to determine what other tasks may ha
ve the dataset reserved and take appropriate action to have them release
d.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","RECON dataset reserved","104070
9095709000","00G0000000000000000000000000000000000000000","IMS_Recon_Res
erved","*IF *VALUE RECON_Datasets.Reserved_by_Another_Job *EQ Yes");


$PARMS("The Start DC command was not issued for this system. If it is de
sired, issue the start now.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Start DC not done","10407090957
09000","00G0000000000000000000000000000000000000000","IMS_Start_DC","*IF
*VALUE IMS_STATUS.Start_DC_Performed *EQ False");

$PARMS("The VTAM authorized path has a status of inactive. This limits t
he capability of VTAM to perform authorization, which could prevent user
s from accessing the IMS system. Verify that VTAM is properly defined.")
;

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","VTAM Authorized path inactive",
"1040709095709000","00G0000000000000000000000000000000000000000","IMS_VT
AM_Auth_Path","*IF *VALUE IMS_STATUS.VTAM_Authorized_Path_Status *EQ Ina
ctive");


$PARMS("The dataset identified in the exception has had an I/O error whi
le trying to read or write logging information to it. Since logging info
rmation is critical for recovery, this state should be avoided. You may
want to replace the dataset used for logging if this problem persists.")
;

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Logging dataset had I/O error",
"1040709095709000","00G0000000000000000000000000000000000000000","IMS_Lo
gging_DS_Error","*IF *VALUE Online_Logging_Datasets.I/O_Error *EQ Yes");


$PARMS("The logging facility is currently inactive. This is not a good s
tate to be in since you will loose the ability to recover your data in c
ase of errors. Check with the IMS administrator to make sure that the lo
gging facility is properly defined.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Logging dataset inactive","1040
709095709000","00G0000000000000000000000000000000000000000","IMS_Logging
_AutoArchive","*IF *VALUE DASD_Logging.Auto_Archive *EQ Inactive");


$PARMS("The system has detected that an online change is currently activ
e in the IMS system. This in itself is not a problem, however the status
 should eventually change to inactive once the online change has complet
ed. If it does not, it is an indication that the online changes are not
completing properly.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Online change currently active"
,"1040709095709000","00G0000000000000000000000000000000000000000","IMS_O
nline_Change_Active","*IF *VALUE IMS_STATUS.Online_Change_in_Progress *E
Q True");


$PARMS("This is an indication that at least one online change has occurr
ed during the running of this IMS system. ");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Online change has occurred","10
40709095709000","00G0000000000000000000000000000000000000000","IMS_Onlin
e_Change_Occurred","*IF *VALUE IMS_STATUS.Online_Change_has_Occurred *EQ
Yes");

DELETE FROM O4SRV.TSITDESC WHERE SITNAME = "IMS_OLDS_I/O_Errors_Critical
";

$PARMS("The number of Online Logging datasets that have had I/O errors h
as exceeded the limit. This is an indication that you may be having prob
lems with the DASD devices where the datasets reside. You should check t
o see what types of errors are being reported for the devices and move t
he datasets to devices that are more stable.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Logging datasets with I/O error
s","1040709095709000","00G0000000000000000000000000000000000000000","IMS
_OLDS_IO_Errors_Critical","*IF *VALUE DASD_Logging.OLDS_with_I/O_Errors
*GE 1");

$PARMS("The number of buffer pool pages locked has exceeded the threshol
d. Locked buffers will reduce the amount of storage available to the sys
tem, however they will also insure that the access to the data in the bu
ffer is faster since the pages will be in memory. This is not a real pro
blem unless your system has real storage constraints that are impacting
other applications.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Locked buffer pool pages","1040
709095709000","00G0000000000000000000000000000000000000000","IMS_BP_Lock
ed_Count","*IF *VALUE Buffer_Pool_Statistics.Locked_Count *GT 0");


$PARMS("The count of Online Logging Datasets is one. This means that the
re will be no place to write the logging information once this dataset f
ills up. The system configuration should be checked to make sure multipl
e online datasets are defined and that they are available to the IMS sys
tem.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Only one online logging dataset
","1040709095709000","00G0000000000000000000000000000000000000000","IMS_
OLDS_One_Active","*IF *VALUE DASD_Logging.OLDS_Active *EQ 1");


$PARMS("The OSAM dataset I/O rate has exceeded the threshold. When the r
ate for any database is high, it could cause the applications to slow do
wn since they would end up sitting in an I/O wait status. The applicatio
n should be checked to insure that it is running properly.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","OSAM dataset I/O rate high","10
40709095709000","00G0000000000000000000000000000000000000000","IMS_OSAM_
Rate_High_Warning","*IF *VALUE VSAM/OSAM_Databases.EXCP_Rate *GE 50 *AND
 *VALUE VSAM/OSAM_Databases.EXCP_Rate *LT 60 *AND *VALUE VSAM/OSAM_Datab
ases.Access_Method *EQ OSAM");


$PARMS("The OSAM dataset I/O rate has exceeded the threshold. When the r
ate for any database is high, it could cause the applications to slow do
wn since they would end up sitting in an I/O wait status. The applicatio
n should be checked to insure that it is running properly.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","OSAM dataset I/O rate high","10
40709095709000","00G0000000000000000000000000000000000000000","IMS_OSAM_
Rate_High_Critical","*IF *VALUE VSAM/OSAM_Databases.EXCP_Rate *GE 60 *AN
D *VALUE VSAM/OSAM_Databases.Access_Method *EQ OSAM");


$PARMS("The system is waiting on dynamic SAP, which could cause delays t
o the applications. The SAP should be checked to insure that it is funct
ioning properly.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Waiting on dynamic SAP","104070
9095709000","00G0000000000000000000000000000000000000000","IMS_Waiting_D
yn_SAP","*IF *VALUE IMS_STATUS.Waiting_On_Dynamic_SAPs *EQ True");


$PARMS("The Time Control facilities within IMS are not active. If TCO is
 needed, you should reconfigure the system to make it available.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Time control facility inactive"
,"1040709095709000","00G0000000000000000000000000000000000000000","IMS_T
CO_Inactive","*IF *VALUE IMS_STATUS.TCO_Status *EQ Inactive");


$PARMS("The VSAM dataset I/O rate has exceeded the threshold. When the r
ate for any database is high, it could cause the applications to slow do
wn since they would end up sitting in an I/O wait status. The applicatio
n should be checked to insure that it is running properly.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","VSAM dataset I/O rate high","10
40709095709000","00G0000000000000000000000000000000000000000","IMS_VSAM_
Rate_High_Warning","*IF *VALUE VSAM/OSAM_Databases.EXCP_Rate *GE 30 *AND
 *VALUE VSAM/OSAM_Databases.EXCP_Rate *LT 80 *AND *VALUE VSAM/OSAM_Datab
ases.Access_Method *EQ VSAM");


$PARMS("The VSAM dataset I/O rate has exceeded the threshold. When the r
ate for any database is high, it could cause the applications to slow do
wn since they would end up sitting in an I/O wait status. The applicatio
n should be checked to insure that it is running properly.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","VSAM dataset I/O rate high","10
40709095709000","00G0000000000000000000000000000000000000000","IMS_VSAM_
Rate_High_Critical","*IF *VALUE VSAM/OSAM_Databases.EXCP_Rate *GE 80 *AN
D *VALUE VSAM/OSAM_Databases.Access_Method *EQ VSAM");


$PARMS("The Write Ahead capability enables the system to write data quic
ker by insuring that the resources needed for writing the data are avail
able. If this facility is not active, then some writes will take longer
to perform. The configuration for the IMS system should be checked to in
sure that write ahead is enabled.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Write ahead disabled","10407090
95709000","00G0000000000000000000000000000000000000000","IMS_Logging_Wri
teAhead","*IF *VALUE DASD_Logging.Write_Ahead_Status *EQ Inactive");


$PARMS("The task responsible for doing physical logging for IMS is curre
ntly in SVC wait. If this condition persists, then the logging activitie
s for the IMS system will end up being delayed and cause the performance
 of the IMS applications to suffer.");

INSERT INTO O4SRV.TSITDESC (ADVISE,AUTOSOPT,AUTOSTART,CMD,LSTRELEASE,LST
USRPRF,QIBCLASSID,QIBSCOPE,REEV_DAYS,REEV_TIME,SENDMSGQ,SITINFO,TEXT,LST
DATE,AFFINITIES,SITNAME,PDT) VALUES(?,"NNN","*NO","*NONE","V100","SYSADM
IN","UUUU","E","0","001500","*NONE","~","Physical logger in SVC wait","1
040709095709000","00G0000000000000000000000000000000000000000","IMS_Phys
ical_Logger_SVC","*IF *VALUE IMS_STATUS.Physical_Logger_TCB_in_SVC *EQ T
rue");

/*  Start of new situations for v410 */

$PARMS("This situation triggers when the number of active CICS threads i
s less than the threshold.  Each CICS region that is connected to DBCTL
has two parameters, MINTHRD and MAXTHRD, defined in its system generatio
n to limit the number of threads that can be used for DBCTL database acc
ess. Each thread requires a DBCTL PST.  For each CICS region, MINTHRD PS
Ts are always allocated and up to MAXTHRD PSTs can be allocated and made
 available for threads.");

INSERT INTO O4SRV.TSITDESC
  (ADVISE,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTRELEASE,
   LSTUSRPRF,
   QIBCLASSID,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITINFO,
   TEXT,
   LSTDATE,
   AFFINITIES,
   SITNAME,
   PDT)
   VALUES(
   ?,
   "NNN",
   "*NO",
   "*NONE",
   "V410",
   "SYSADMIN",
   "UUUU",
   "E",
   "0",
   "001500",
   "*NONE",
   "~",
   "IMS Threads Active Low",
   "1040709095709000",
   "00G0000000000000000000000000000008000000000",
   "IMS_Threads_Active_Low",
   "*IF *VALUE DBCTL_Thread_Summaries.Active_Threads *LT 2");


$PARMS("This situation triggers when the number of active CICS threads i
s greater than the threshold.  Each CICS region that is connected to DBC
TL has two parameters, MINTHRD and MAXTHRD, defined in its system genera
tion to limit the number of threads that can be used for DBCTL database
access. Each thread requires a DBCTL PST.  For each CICS region, MINTHRD
 PSTs are always allocated and up to MAXTHRD PSTs can be allocated and m
ade available for threads.");

INSERT INTO O4SRV.TSITDESC
  (ADVISE,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTRELEASE,
   LSTUSRPRF,
   QIBCLASSID,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITINFO,
   TEXT,
   LSTDATE,
   AFFINITIES,
   SITNAME,
   PDT)
   VALUES(
   ?,
   "NNN",
   "*NO",
   "*NONE",
   "V410",
   "SYSADMIN",
   "UUUU",
   "E",
   "0",
   "001500",
   "*NONE",
   "~",
   "IMS Threads Active High",
   "1040709095709000",
   "00G0000000000000000000000000000008000000000",
   "IMS_Threads_Active_High",
   "*IF *VALUE DBCTL_Thread_Summaries.Active_Threads *GT 127");

$PARMS("This situation triggers when the thread elapsed time exceeds the
 threshold.  Identifying long running threads can detect and try to prev
ent application bottlenecks and response time problems.  Long running th
reads can occur for various reasons such as database contention, IMS res
ource contention, or application programming/design errors.  OMEGAMON XE
 for IMS provides thread detail, thread call stats, and lock contention
information  that can assist with determining the cause of a long runnin
g thread.");

INSERT INTO O4SRV.TSITDESC
  (ADVISE,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTRELEASE,
   LSTUSRPRF,
   QIBCLASSID,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITINFO,
   TEXT,
   LSTDATE,
   AFFINITIES,
   SITNAME,
   PDT)
   VALUES(
   ?,
   "NNN",
   "*NO",
   "*NONE",
   "V410",
   "SYSADMIN",
   "UUUU",
   "E",
   "0",
   "001500",
   "*NONE",
   "~",
   "IMS Threads Elapsed Time High",
   "1040709095709000",
   "00G0000000000000000000000000000008000000000",
   "IMS_Threads_Elapsed_Time_High",
   "*IF *VALUE DBCTL_Thread_Details.Elapsed_Thread_Time *GT 5");


$PARMS("This partition has not been initialized. You will need to initia
lize the partition before it can be used.");                            

INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("IMS_HALDB_Part_Not_Initialized",
?,
"00G0000000000000000000000000000008000000000",
"",
"NNY",
"*NO",
"*NONE",
"",
"",
"",
"",
"en_US",
"1060310100810000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"IMS_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"A HALDB partition is in the Not Initialized state",
"*IF *VALUE HALDB_Partition_Detail.Partition_Status *EQ InitRequired"); 


$PARMS("This partition has been identified as being in a stopped state. 
If this is not intentional, you will want to start the partition.");
     
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("IMS_HALDB_Partition_Stopped",
?,
"00G0000000000000000000000000000008000000000",
"",
"NNY",
"*NO",
"*NONE",
"",
"",
"",
"",
"en_US",
"1060310100449000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"IMS_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"A HALDB Partition is in the stopped state",
"*IF *VALUE HALDB_Partition_Detail.Partition_Status *EQ Stopped"); 


$PARMS("This dependent region has been identified as having done more th
an 1000 DL/I calls. This may indicate a looping transaction.");    

INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("IMS_DepRegDLICallHigh",
?,
"00G0000000000000000000000000000008000000000",
"",
"NNY",
"*NO",
"*NONE",
"",
"",
"",
"",
"en_US",
"1060427100449000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"IMS_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Number of DB Calls for a Dependent Region is High",
"*IF *VALUE Dependent_Regions_Statistics.Database_Total_Calls *GT 1000")
;


$PARMS("This dependent region has been identified as having done more th
an 100 DLET calls. This may indicate a looping transaction.");    

INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("IMS_DepRegDLETCallHigh",
?,
"00G0000000000000000000000000000008000000000",
"",
"NNY",
"*NO",
"*NONE",
"",
"",
"",
"",
"en_US",
"1060427100449000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"IMS_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Number of DLET Calls for a Dependent Region is High",
"*IF *VALUE Dependent_Regions_Statistics.Database_DLET_Calls *GT 100"); 


$PARMS("This dependent region has been identified as having done more th
an 100 GHN calls. This may indicate a looping transaction.");    
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("IMS_DepRegGHNCallHigh",
?,
"00G0000000000000000000000000000008000000000",
"",
"NNY",
"*NO",
"*NONE",
"",
"",
"",
"",
"en_US",
"1060427100449000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"IMS_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Number of GHN Calls for a Dependent Region is High",
"*IF *VALUE Dependent_Regions_Statistics.Database_GHN_Calls *GT 100");


$PARMS("This dependent region has been identified as having done more th
an 100 GHNP calls. This may indicate a looping transaction.");    

INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("IMS_DepRegGHNPCallHigh",
?,
"00G0000000000000000000000000000008000000000",
"",
"NNY",
"*NO",
"*NONE",
"",
"",
"",
"",
"en_US",
"1060427100449000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"IMS_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Number of GHNP Calls for a Dependent Region is High",
"*IF *VALUE Dependent_Regions_Statistics.Database_GHNP_Calls *GT 100");


$PARMS("This dependent region has been identified as having done more th
an 100 GHU calls. This may indicate a looping transaction.");    

INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("IMS_DepRegGHUCallHigh",
?,
"00G0000000000000000000000000000008000000000",
"",
"NNY",
"*NO",
"*NONE",
"",
"",
"",
"",
"en_US",
"1060427100449000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"IMS_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Number of GHU Calls for a Dependent Region is High",
"*IF *VALUE Dependent_Regions_Statistics.Database_GHU_Calls *GT 100");


$PARMS("This dependent region has been identified as having done more th
an 100 GN calls. This may indicate a looping transaction.");    

INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("IMS_DepRegGNCallHigh",
?,
"00G0000000000000000000000000000008000000000",
"",
"NNY",
"*NO",
"*NONE",
"",
"",
"",
"",
"en_US",
"1060427100449000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"IMS_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Number of GN Calls for a Dependent Region is High",
"*IF *VALUE Dependent_Regions_Statistics.Database_GN_Calls *GT 100");


$PARMS("This dependent region has been identified as having done more th
an 100 GNP calls. This may indicate a looping transaction.");    
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("IMS_DepRegGNPCallHigh",
?,
"00G0000000000000000000000000000008000000000",
"",
"NNY",
"*NO",
"*NONE",
"",
"",
"",
"",
"en_US",
"1060427100449000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"IMS_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Number of GNP Calls for a Dependent Region is High",
"*IF *VALUE Dependent_Regions_Statistics.Database_GNP_Calls *GT 100");


$PARMS("This dependent region has been identified as having done more th
an 100 GU calls. This may indicate a looping transaction.");    

INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("IMS_DepRegGUCallHigh",
?,
"00G0000000000000000000000000000008000000000",
"",
"NNY",
"*NO",
"*NONE",
"",
"",
"",
"",
"en_US",
"1060427100449000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"IMS_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Number of GU Calls for a Dependent Region is High",
"*IF *VALUE Dependent_Regions_Statistics.Database_GU_Calls *GT 100");


$PARMS("This dependent region has been identified as having done more th
an 100 ISRT calls. This may indicate a looping transaction.");
    
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("IMS_DepRegISRTCallHigh",
?,
"00G0000000000000000000000000000008000000000",
"",
"NNY",
"*NO",
"*NONE",
"",
"",
"",
"",
"en_US",
"1060427100449000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"IMS_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Number of ISRT Calls for a Dependent Region is High",
"*IF *VALUE Dependent_Regions_Statistics.Database_ISRT_Calls *GT 100");


$PARMS("This dependent region has been identified as having done more th
an 100 REPL calls. This may indicate a looping transaction.");    

INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("IMS_DepRegREPLCallHigh",
?,
"00G0000000000000000000000000000008000000000",
"",
"NNY",
"*NO",
"*NONE",
"",
"",
"",
"",
"en_US",
"1060427100449000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"IMS_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Number of REPL Calls for a Dependent Region is High",
"*IF *VALUE Dependent_Regions_Statistics.Database_REPL_Calls *GT 100");


$PARMS("This dependent region has been identified as having done more th
an 10 Message GN calls. This may indicate a looping transaction.");    

INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("IMS_DepRegMsgGNCallHigh",
?,
"00G0000000000000000000000000000008000000000",
"",
"NNY",
"*NO",
"*NONE",
"",
"",
"",
"",
"en_US",
"1060427100449000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"IMS_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Number of Message GN Calls for a Dependent Region is High",
"*IF *VALUE Dependent_Regions_Statistics.Message_GN_Calls *GT 10");


$PARMS("This dependent region has been identified as having done more th
an 10 Message GU calls. This may indicate a looping transaction.");    

INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("IMS_DepRegMsgGUCallHigh",
?,
"00G0000000000000000000000000000008000000000",
"",
"NNY",
"*NO",
"*NONE",
"",
"",
"",
"",
"en_US",
"1060427100449000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"IMS_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Number of Message GU Calls for a Dependent Region is High",
"*IF *VALUE Dependent_Regions_Statistics.Message_GU_Calls *GT 10");


$PARMS("This dependent region has been identified as having done more th
an 10 Message ISRT calls. This may indicate a looping transaction.");    
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("IMS_DepRegMsgISRTCallHigh",
?,
"00G0000000000000000000000000000008000000000",
"",
"NNY",
"*NO",
"*NONE",
"",
"",
"",
"",
"en_US",
"1060427100449000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"IMS_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Number of Message ISRT Calls for a Dependent Region is High",
"*IF *VALUE Dependent_Regions_Statistics.Message_ISRT_Calls *GT 10");


$PARMS("This dependent region has been identified as having done more th
an 10 Message PURG calls. This may indicate a looping transaction.");  
  
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("IMS_DepRegMsgPURGCallHigh",
?,
"00G0000000000000000000000000000008000000000",
"",
"NNY",
"*NO",
"*NONE",
"",
"",
"",
"",
"en_US",
"1060427100449000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"IMS_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Number of Message PURG Calls for a Dependent Region is High",
"*IF *VALUE Dependent_Regions_Statistics.Message_PURG_Calls *GT 10");


$PARMS("This dependent region has been identified as having done more th
an 10 Message calls. This may indicate a looping transaction.");    

INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("IMS_DepRegMsgTotalCallHigh",
?,
"00G0000000000000000000000000000008000000000",
"",
"NNY",
"*NO",
"*NONE",
"",
"",
"",
"",
"en_US",
"1060427100449000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"IMS_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Total Number of Message Calls for a Dependent Region is High",
"*IF *VALUE Dependent_Regions_Statistics.Message_Total_Calls *GT 10");


$PARMS("This dependent region has been identified as having done more th
an 100 DL/I calls per transaction.");
    
INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("IMS_DepRegDLICallsPerTransHigh",
?,
"00G0000000000000000000000000000008000000000",
"",
"NNY",
"*NO",
"*NONE",
"",
"",
"",
"",
"en_US",
"1060427100449000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"IMS_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Number of DL/I Calls per Transaction for Dependent Region High",
"*IF *VALUE Dependent_Regions_Statistics.Total_Database_Per_Transaction 
*GT 100");


$PARMS("This dependent region has been identified as being utilized 0.00
%. Perhaps this region can be stopped.");    

INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("IMS_DepReg_Occupancy_Low",
?,
"00G0000000000000000000000000000008000000000",
"",
"NNY",
"*NO",
"*NONE",
"",
"",
"",
"",
"en_US",
"1060427100449000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"IMS_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Region Occupancy for Dependent Region is Low",
"*IF *VALUE Dependent_Regions.Region_Occupancy_Percentage *EQ 0");


$PARMS("This dependent region has been identified as being utilized 100.
00%. Perhaps additional regions must be started.");    

INSERT INTO O4SRV.TSITDESC (SITNAME,ADVISE,AFFINITIES,ALERTLIST,AUTOSOPT
,AUTOSTART,CMD,DESTNODE,EVENTATTR,HUB,LOCFLAG,LSTCCSID,LSTDATE,LSTRELEAS
E,LSTUSRPRF,NOCOL,NOTIFYARGS,NOTIFYOPTS,OBJECTLOCK,PRNAMES,QIBCLASSID,QI
BSCOPE,REEV_DAYS,REEV_TIME,REFLEXOK,RESERVED,SENDMSGQ,SITINFO,SOURCE,TEX
T,PDT) VALUES("IMS_DepReg_Occupancy_High",
?,
"00G0000000000000000000000000000008000000000",
"",
"NNY",
"*NO",
"*NONE",
"",
"",
"",
"",
"en_US",
"1060427100449000",
"V100",
"SYSADMIN",
"",
"",
"",
"",
"",
"IMS_",
"E",
"0",
"001500",
"",
"",
"*NONE",
"~",
"",
"Region Occupancy for Dependent Region is High",
"*IF *VALUE Dependent_Regions.Region_Occupancy_Percentage *EQ 100");


$PARMS("This situation triggers when the average response time for a giv
en transaction exceeds the threshold.  Identify the response time compon
ent responsible for the majority of the time.  These response time compo
nents will be one of: Input Pre-OTMA, Input Read Exit, Input SAF, Proces
s OTMA, Output Confirm, Output Post-OTMA, or Output Exit Times.");

INSERT INTO O4SRV.TSITDESC
  (ADVISE,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTRELEASE,
   LSTUSRPRF,
   QIBCLASSID,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITINFO,
   TEXT,
   LSTDATE,
   AFFINITIES,
   SITNAME,
   PDT)
   VALUES(
   ?,
   "NNN",
   "*NO",
   "*NONE",
   "V410",
   "SYSADMIN",
   "UUUU",
   "E",
   "0",
   "001500",
   "*NONE",
   "~",
   "IMS Connect Response Time High",
   "1040709095709000",
   "00G0000000000000000000000000000008000000000",
   "IMS_Connect_Response_Time_High",
   "*IF *VALUE Local_IMSCTL_Transit_Trancode.Response_Time *GT 3.000");
   

$PARMS("This situation triggers when the number of transactions per seco
nd processed through IMS Connect exceeds the threshold.  This can occur 
for several reasons.  Temporary spikes in transaction throughput could b
e indications of errors in the client application.  Display the Response
 Time Summary by Client workspace to identify this type of problem clien
t.");

INSERT INTO O4SRV.TSITDESC
  (ADVISE,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTRELEASE,
   LSTUSRPRF,
   QIBCLASSID,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITINFO,
   TEXT,
   LSTDATE,
   AFFINITIES,
   SITNAME,
   PDT)
   VALUES(
   ?,
   "NNN",
   "*NO",
   "*NONE",
   "V410",
   "SYSADMIN",
   "UUUU",
   "E",
   "0",
   "001500",
   "*NONE",
   "~",
   "IMS Connect Transaction Message Rate High",
   "1040709095709000",
   "00G0000000000000000000000000000008000000000",
   "IMS_Connect_Tran_MsgRate_High",
 "*IF *VALUE Local_IMSCTL_Transit_Trancode.Messages_Per_Second *GT 50");
 
DELETE FROM O4SRV.TSITDESC WHERE SITNAME =  "IMS_Connect_NAK_Response_Hi
gh";

$PARMS("This situation triggers when the number of Negative Acknowledgem
ents (NAKs) exceeds the threshold.  The NAK can be generated either from
 the client or via OTMA.  Determine whether the NAK originates in the cl
ient or OTMA by displaying the detail for the problem transaction.  The 
OTMA_NAK_Sense_Code column will contain the sense code if the NAK origin
ated from OTMA.  From the sense code, determine the proper course of act
ion.");

INSERT INTO O4SRV.TSITDESC
  (ADVISE,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTRELEASE,
   LSTUSRPRF,
   QIBCLASSID,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITINFO,
   TEXT,
   LSTDATE,
   AFFINITIES,
   SITNAME,
   PDT)
   VALUES(
   ?,
   "NNN",
   "*NO",
   "*NONE",
   "V410",
   "SYSADMIN",
   "UUUU",
   "E",
   "0",
   "001500",
   "*NONE",
   "~",
   "IMS Connect Negative Responses High",
   "1040709095709000",
   "00G0000000000000000000000000000008000000000",
   "IMS_Connect_NAK_Response_High",
"*IF *VALUE Local_IMSCTL_Transit_Trancode.Negative_Acknowledgement_Count
 *GT 50");
 

$PARMS("This situation triggers when the average depth on socket exceeds
 the threshold.  Determine the MAXSOC setting on the IMS Connect HWS con
figuration member for the specific HWSID.  The MAXSOC determines the max
imum number of sockets that IMS Connect can open.  Also refer to member 
BPXPRMxx in SYS1.PARMLIB.  The MAXSOCKETS parameter sets a limit for the
 total number of sockets in a system, and MAXFILEPROC sets the maximum n
umber of sockets for any job.");

INSERT INTO O4SRV.TSITDESC
  (ADVISE,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTRELEASE,
   LSTUSRPRF,
   QIBCLASSID,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITINFO,
   TEXT,
   LSTDATE,
   AFFINITIES,
   SITNAME,
   PDT)
   VALUES(
   ?,
   "NNN",
   "*NO",
   "*NONE",
   "V410",
   "SYSADMIN",
   "UUUU",
   "E",
   "0",
   "001500",
   "*NONE",
   "~",
   "IMS Connect Port Average Depth High",
   "1040709095709000",
   "00G0000000000000000000000000000008000000000",
   "IMS_Connect_Port_Avg_Depth_High",
   "*IF *VALUE Local_IMSCTL_TCPIP_Usage_Detail.Average_Depth *GT 50");


$PARMS("This situation triggers when the maximum depth on socket exceeds
 the threshold.  Determine the MAXSOC setting on the IMS Connect HWS con
figuration member for the specific HWSID.  The MAXSOC determines the max
imum number of sockets that IMS Connect can open.  Also refer to member 
BPXPRMxx in SYS1.PARMLIB.  The MAXSOCKETS parameter sets a limit for the
 total number of sockets in a system, and MAXFILEPROC sets the maximum n
umber of sockets for any job.");

INSERT INTO O4SRV.TSITDESC
  (ADVISE,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTRELEASE,
   LSTUSRPRF,
   QIBCLASSID,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITINFO,
   TEXT,
   LSTDATE,
   AFFINITIES,
   SITNAME,
   PDT)
   VALUES(
   ?,
   "NNN",
   "*NO",
   "*NONE",
   "V410",
   "SYSADMIN",
   "UUUU",
   "E",
   "0",
   "001500",
   "*NONE",
   "~",
   "IMS Connect Port Maximum Depth High",
   "1040709095709000",
   "00G0000000000000000000000000000008000000000",
   "IMS_Connect_Port_Max_Depth_High",
   "*IF *VALUE Local_IMSCTL_TCPIP_Usage_Detail.Maximum_Depth *GT 50");

/*  End of new situations for v410 */

/*  New situations for OTMA Redesign */

DELETE FROM O4SRV.TSITDESC WHERE SITNAME =  "IMS_OTMA_TIBs_In_Use_Critic
al";


$PARMS("This situation triggers when the percentage of TIBs (Transaction
 Instance Blocks) in use for a TMEMBER is 80% or higher. Corrective acti
on may be needed in order to prevent an OTMA flood condition which occur
s when the number of TIBs in use is 100%. TMEMBER input is rejected unti
l the flood condition is relieved. TIB growth can occur due to a stopped
 program, unavailable message region, message arrival rate exceeds proce
ssing rate, or failure to generate a CM1 IOPCB response leaving orphanne
d TIBs.");
 


INSERT INTO O4SRV.TSITDESC
  (ADVISE,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTRELEASE,
   LSTUSRPRF,
   QIBCLASSID,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITINFO,
   TEXT,
   LSTDATE,
   AFFINITIES,
   SITNAME,
   PDT)
   VALUES(
   ?,
   "NNN",
   "*NO",
   "*NONE",
   "V410",
   "SYSADMIN",
   "UUUU",
   "E",
   "0",
   "001500",
   "*NONE",
   "~",
   "IMS OTMA TIBs In Use Critical",
   "1040709095709000",
   "00G0000000000000000000000000000000000000000",
   "IMS_OTMA_TIBs_In_Use_Critical",
   "*IF *VALUE OTMA_TMember.TIB_Used_Percent *GE 80.00");


DELETE FROM O4SRV.TSITDESC WHERE SITNAME =  "IMS_OTMA_TIBs_In_Use_Warnin
g";


$PARMS("This situation triggers when the percentage of TIBs (Transaction
 Instance Blocks) in use for a TMEMBER is between 70% and 80%. Correctiv
e action may be needed to prevent an OTMA flood condition which occurs w
hen the number of TIBs in use is 100%. TMEMBER input is rejected until t
he flood condition is relieved. TIB growth can occur due to a stopped pr
ogram, unavailable message region, message arrival rate exceeds processi
ng rate, or failure to generate a CM1 IOPCB response leaving orphanned T
IBs.");
 

INSERT INTO O4SRV.TSITDESC
  (ADVISE,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTRELEASE,
   LSTUSRPRF,
   QIBCLASSID,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITINFO,
   TEXT,
   LSTDATE,
   AFFINITIES,
   SITNAME,
   PDT)
   VALUES(
   ?,
   "NNN",
   "*NO",
   "*NONE",
   "V410",
   "SYSADMIN",
   "UUUU",
   "E",
   "0",
   "001500",
   "*NONE",
   "~",
   "IMS OTMA TIBs In Use Warning",
   "1040709095709000",
   "00G0000000000000000000000000000000000000000",
   "IMS_OTMA_TIBs_In_Use_Warning",
   "*IF *VALUE OTMA_TMember.TIB_Used_Percent *GE 70.00 *AND *VALUE OTMA_
TMember.TIB_Used_Percent *LT 80.00");


DELETE FROM O4SRV.TSITDESC WHERE SITNAME =  "IMS_OTMA_TMEMBER_In_Flood";


$PARMS("This situation triggers when an OTMA TMEMBER is in a flood condi
tion. A flood condition occurs when the percentage of TIBs (Transaction 
Instance Blocks) in use for a TMEMBER reaches 100%. Corrective action mu
st be taken to relieve the flood condition as input is rejected for the
TMEMBER until the condition is relieved. TIB growth can occur due to a s 
topped program, unavailable message region, message arrival rate exceeds
 processing rate, or failure to generate a CM1 IOPCB response leaving or
phanned TIBs.");
 

INSERT INTO O4SRV.TSITDESC
  (ADVISE,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTRELEASE,
   LSTUSRPRF,
   QIBCLASSID,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITINFO,
   TEXT,
   LSTDATE,
   AFFINITIES,
   SITNAME,
   PDT)
   VALUES(
   ?,
   "NNN",
   "*NO",
   "*NONE",
   "V410",
   "SYSADMIN",
   "UUUU",
   "E",
   "0",
   "001500",
   "*NONE",
   "~",
   "IMS OTMA TMEMBER in Flood Condition",
   "1040709095709000",
   "00G0000000000000000000000000000000000000000",
   "IMS_OTMA_TMEMBER_In_Flood",
   "*IF *VALUE OTMA_TMember.User_Status *EQ Flood");


DELETE FROM O4SRV.TSITDESC WHERE SITNAME =  "IMS_OTMA_TPIPE_Stopped";


$PARMS("This situation triggers when a TPIPE is stopped.  A stopped TPIP
E has a status of stopped or input stopped.  Determine why the TPIPE has
 a stopped status and restart the TPIPE.");

INSERT INTO O4SRV.TSITDESC
  (ADVISE,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTRELEASE,
   LSTUSRPRF,
   QIBCLASSID,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITINFO,
   TEXT,
   LSTDATE,
   AFFINITIES,
   SITNAME,
   PDT)
   VALUES(
   ?,
   "NNN",
   "*NO",
   "*NONE",
   "V410",
   "SYSADMIN",
   "UUUU",
   "E",
   "0",
   "001500",
   "*NONE",
   "~",
   "IMS OTMA TPIPE is stopped",
   "1040709095709000",
   "00G0000000000000000000000000000000000000000",
   "IMS_OTMA_TPIPE_Stopped",
   "*IF *VALUE OTMA_TPipe.Status_STOPPED *EQ Yes *OR *VALUE OTMA_TPipe.S
tatus_Stop_Input *EQ Yes");


DELETE FROM O4SRV.TSITDESC WHERE SITNAME =  "IMS_OTMA_TPIPE_Wait_ACK_NAK
";


$PARMS("This situation triggers when a TPIPE is waiting for an ACK or NA
K for a commit-then-send, CM0, output response.  If this event persists 
for the TPIPE, the OTMA client should be investigated to determine why a
n ACK or NAK response is not occurring or taking too long.");


INSERT INTO O4SRV.TSITDESC
  (ADVISE,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTRELEASE,
   LSTUSRPRF,
   QIBCLASSID,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITINFO,
   TEXT,
   LSTDATE,
   AFFINITIES,
   SITNAME,
   PDT)
   VALUES(
   ?,
   "NNN",
   "*NO",
   "*NONE",
   "V410",
   "SYSADMIN",
   "UUUU",
   "E",
   "0",
   "001500",
   "*NONE",
   "~",
   "IMS OTMA TPIPE waiting on ACK or NAK",
   "1040709095709000",
   "00G0000000000000000000000000000000000000000",
   "IMS_OTMA_TPIPE_Wait_ACK_NAK",
   "*IF *VALUE OTMA_TPipe.Status_WAITA *EQ Yes *OR *VALUE OTMA_TPipe.Sta
tus_WAITH *EQ Yes");


DELETE FROM O4SRV.TSITDESC WHERE SITNAME =  "IMS_OTMA_TPIPE_Output_Que_H
igh";


$PARMS("This situation triggers when the output queue count for a TPIPE 
exceeds the indicated threshold.");   


INSERT INTO O4SRV.TSITDESC
  (ADVISE,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   LSTRELEASE,
   LSTUSRPRF,
   QIBCLASSID,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITINFO,
   TEXT,
   LSTDATE,
   AFFINITIES,
   SITNAME,
   PDT)
   VALUES(
   ?,
   "NNN",
   "*NO",
   "*NONE",
   "V410",
   "SYSADMIN",
   "UUUU",
   "E",
   "0",
   "001500",
   "*NONE",
   "~",
   "IMS OTMA TPIPE Output Queue Count High",
   "1040709095709000",
   "00G0000000000000000000000000000000000000000",
   "IMS_OTMA_TPIPE_Output_Que_High",
   "*IF *VALUE OTMA_TPipe.CQueue_Count *GE 20");


UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2747"
    WHERE SITNAME = "IMS_BP_Locked_Count";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_BP_Locked_Count";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2748"
    WHERE SITNAME = "IMS_CMD_CF_RLE_Pct_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2749"
    WHERE SITNAME = "IMS_CMD_Lock_Wait_Time_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2750"
    WHERE SITNAME = "IMS_CMD_MQ_STATUS_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2751"
    WHERE SITNAME = "IMS_CMD_MSC_Q_Count_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2752"
    WHERE SITNAME = "IMS_CMD_RTA_Group_Resp_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2753"
    WHERE SITNAME = "IMS_CPU_High_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_CPU_High_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2754"
    WHERE SITNAME = "IMS_CPU_High_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_CPU_High_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2755"
    WHERE SITNAME = "IMS_CPU_Low_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_CPU_Low_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2756"
    WHERE SITNAME = "IMS_CPU_Low_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_CPU_Low_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2757"
    WHERE SITNAME = "IMS_Common_PageIn_High_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Common_PageIn_High_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2758"
    WHERE SITNAME = "IMS_Common_PageIn_High_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Common_PageIn_High_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2759"
    WHERE SITNAME = "IMS_DB_Dyn_Backout_Error";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_DB_Dyn_Backout_Error";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2760"
    WHERE SITNAME = "IMS_DB_IO_Errors";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_DB_IO_Errors";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2761"
    WHERE SITNAME = "IMS_DEDB_Error";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_DEDB_Error";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2762"
    WHERE SITNAME = "IMS_DS_IORate_High_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_DS_IORate_High_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2763"
    WHERE SITNAME = "IMS_DS_IORate_High_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_DS_IORate_High_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2764"
    WHERE SITNAME = "IMS_DepRegSwappedOut";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_DepRegSwappedOut";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2765"
    WHERE SITNAME = "IMS_DeviceErrorRecovery";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_DeviceErrorRecovery";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2766"
    WHERE SITNAME = "IMS_DeviceNotReady";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_DeviceNotReady";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2767"
    WHERE SITNAME = "IMS_DeviceNotResponding";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_DeviceNotResponding";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2768"
    WHERE SITNAME = "IMS_ExSubNoCtl";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_ExSubNoCtl";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2769"
    WHERE SITNAME = "IMS_ExSubNoDep";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_ExSubNoDep";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2770"
    WHERE SITNAME = "IMS_Held_Locks_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Held_Locks_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2771"
    WHERE SITNAME = "IMS_Held_Locks_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Held_Locks_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2772"
    WHERE SITNAME = "IMS_IRLM_CF_RLE_Percent_Crit";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2773"
    WHERE SITNAME = "IMS_IRLM_CF_RLE_Percent_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2774"
    WHERE SITNAME = "IMS_IRLM_Contention_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_IRLM_Contention_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2775"
    WHERE SITNAME = "IMS_IRLM_Contention_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_IRLM_Contention_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2776"
    WHERE SITNAME = "IMS_IRLM_Inactive";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_IRLM_Inactive";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2777"
    WHERE SITNAME = "IMS_IRLM_Not_Connected";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_IRLM_Not_Connected";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2778"
    WHERE SITNAME = "IMS_IRLM_Utilization_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_IRLM_Utilization_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2779"
    WHERE SITNAME = "IMS_IRLM_Utilization_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_IRLM_Utilization_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2780"
    WHERE SITNAME = "IMS_Inactive";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Inactive";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2781"
    WHERE SITNAME = "IMS_LU_Status";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_LU_Status";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2782"
    WHERE SITNAME = "IMS_Largest_Freeblock_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Largest_Freeblock_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2783"
    WHERE SITNAME = "IMS_Largest_Freeblock_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Largest_Freeblock_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2784"
    WHERE SITNAME = "IMS_LogTape_Writeahead";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_LogTape_Writeahead";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2785"
    WHERE SITNAME = "IMS_Logging_AutoArchive";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Logging_AutoArchive";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2786"
    WHERE SITNAME = "IMS_Logging_DS_Error";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Logging_DS_Error";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2787"
    WHERE SITNAME = "IMS_Logging_WriteAhead";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Logging_WriteAhead";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2789"
    WHERE SITNAME = "IMS_MSC_Queue_Count_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2790"
    WHERE SITNAME = "IMS_MSC_Queue_Count_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2792"
    WHERE SITNAME = "IMS_OLDS_IO_Errors_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_OLDS_IO_Errors_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2793"
    WHERE SITNAME = "IMS_OLDS_One_Active";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_OLDS_One_Active";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2794"
    WHERE SITNAME = "IMS_OSAM_Rate_High_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_OSAM_Rate_High_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2795"
    WHERE SITNAME = "IMS_OSAM_Rate_High_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_OSAM_Rate_High_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2796"
    WHERE SITNAME = "IMS_Online_Change_Active";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Online_Change_Active";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2797"
    WHERE SITNAME = "IMS_Online_Change_Occurred";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Online_Change_Occurred";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2798"
    WHERE SITNAME = "IMS_Parallel_DLI_Status";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Parallel_DLI_Status";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2799"
    WHERE SITNAME = "IMS_Physical_Logger_SVC";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Physical_Logger_SVC";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2800"
    WHERE SITNAME = "IMS_Plex_Heartbeat";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Plex_Heartbeat";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2801"
    WHERE SITNAME = "IMS_PoolFreeBlocks";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_PoolFreeBlocks";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2802"
    WHERE SITNAME = "IMS_Pool_Util_High_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Pool_Util_High_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2803"
    WHERE SITNAME = "IMS_Pool_Util_High_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Pool_Util_High_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2804"
    WHERE SITNAME = "IMS_Private_PageIn_High_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Private_PageIn_High_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2805"
    WHERE SITNAME = "IMS_Private_PageIn_High_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Private_PageIn_High_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2806"
    WHERE SITNAME = "IMS_RTA_Group_Response_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2807"
    WHERE SITNAME = "IMS_RTA_Group_Response_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2808"
    WHERE SITNAME = "IMS_RTA_Item_Response_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2809"
    WHERE SITNAME = "IMS_RTA_Item_Response_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2810"
    WHERE SITNAME = "IMS_Recon_Reserved";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Recon_Reserved";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2811"
    WHERE SITNAME = "IMS_Region_EXCP_High_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Region_EXCP_High_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2812"
    WHERE SITNAME = "IMS_Region_EXCP_High_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Region_EXCP_High_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2813"
    WHERE SITNAME = "IMS_Region_EXCP_Low_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Region_EXCP_Low_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2814"
    WHERE SITNAME = "IMS_Region_EXCP_Low_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Region_EXCP_Low_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2815"
    WHERE SITNAME = "IMS_Start_DC";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Start_DC";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2816"
    WHERE SITNAME = "IMS_TCO_Inactive";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_TCO_Inactive";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2817"
    WHERE SITNAME = "IMS_Tasks_Waiting_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Tasks_Waiting_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2818"
    WHERE SITNAME = "IMS_Tasks_Waiting_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Tasks_Waiting_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2819"
    WHERE SITNAME = "IMS_VSAM_Rate_High_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_VSAM_Rate_High_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2820"
    WHERE SITNAME = "IMS_VSAM_Rate_High_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_VSAM_Rate_High_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2821"
    WHERE SITNAME = "IMS_VTAM_ACB_Status";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_VTAM_ACB_Status";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2822"
    WHERE SITNAME = "IMS_VTAM_Auth_Path";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_VTAM_Auth_Path";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2823"
    WHERE SITNAME = "IMS_WSS_High_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_WSS_High_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2824"
    WHERE SITNAME = "IMS_WSS_High_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_WSS_High_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2825"
    WHERE SITNAME = "IMS_WSS_Low_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_WSS_Low_Critical";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2826"
    WHERE SITNAME = "IMS_WSS_Low_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_WSS_Low_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2827"
    WHERE SITNAME = "IMS_WaitSVC";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_WaitSVC";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP2828"
    WHERE SITNAME = "IMS_Waiting_Dyn_SAP";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Waiting_Dyn_SAP";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP3596"
    WHERE SITNAME = "IMS_HALDB_Part_Not_Initialized";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_HALDB_Part_Not_Initialized";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP3597"
    WHERE SITNAME = "IMS_HALDB_Partition_Stopped";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_HALDB_Partition_Stopped";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP3598"
    WHERE SITNAME = "IMS_Threads_Active_High";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Threads_Active_High";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP3599"
    WHERE SITNAME = "IMS_Threads_Active_Low";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Threads_Active_Low";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP3600"
    WHERE SITNAME = "IMS_Threads_Elapsed_Time_High";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Threads_Elapsed_Time_High";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP3957"
    WHERE SITNAME = "IMS_Connect_NAK_Response_High";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Connect_NAK_Response_High";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP3958"
    WHERE SITNAME = "IMS_Connect_Port_Avg_Depth_High";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Connect_Port_Avg_Depth_High";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP3959"
    WHERE SITNAME = "IMS_Connect_Port_Max_Depth_High";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Connect_Port_Max_Depth_High";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP3960"
    WHERE SITNAME = "IMS_Connect_Response_Time_High";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Connect_Response_Time_High";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP3961"
    WHERE SITNAME = "IMS_Connect_Tran_MsgRate_High";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Connect_Tran_MsgRate_High";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP3962"
    WHERE SITNAME = "IMS_DepRegDLETCallHigh";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_DepRegDLETCallHigh";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP3963"
    WHERE SITNAME = "IMS_DepRegDLICallHigh";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_DepRegDLICallHigh";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP3964"
    WHERE SITNAME = "IMS_DepRegDLICallsPerTransHigh";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_DepRegDLICallsPerTransHigh";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP3965"
    WHERE SITNAME = "IMS_DepRegGHNCallHigh";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_DepRegGHNCallHigh";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP3966"
    WHERE SITNAME = "IMS_DepRegGHNPCallHigh";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_DepRegGHNPCallHigh";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP3967"
    WHERE SITNAME = "IMS_DepRegGHUCallHigh";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_DepRegGHUCallHigh";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP3968"
    WHERE SITNAME = "IMS_DepRegGNCallHigh";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_DepRegGNCallHigh";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP3969"
    WHERE SITNAME = "IMS_DepRegGNPCallHigh";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_DepRegGNPCallHigh";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP3970"
    WHERE SITNAME = "IMS_DepRegGUCallHigh";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_DepRegGUCallHigh";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP3971"
    WHERE SITNAME = "IMS_DepRegISRTCallHigh";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_DepRegISRTCallHigh";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP3972"
    WHERE SITNAME = "IMS_DepRegMsgGNCallHigh";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_DepRegMsgGNCallHigh";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP3973"
    WHERE SITNAME = "IMS_DepRegMsgGUCallHigh";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_DepRegMsgGUCallHigh";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP3974"
    WHERE SITNAME = "IMS_DepRegMsgISRTCallHigh";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_DepRegMsgISRTCallHigh";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP3975"
    WHERE SITNAME = "IMS_DepRegMsgPURGCallHigh";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_DepRegMsgPURGCallHigh";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP3976"
    WHERE SITNAME = "IMS_DepRegMsgTotalCallHigh";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_DepRegMsgTotalCallHigh";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP3977"
    WHERE SITNAME = "IMS_DepRegREPLCallHigh";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_DepRegREPLCallHigh";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP3978"
    WHERE SITNAME = "IMS_DepReg_Occupancy_High";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_DepReg_Occupancy_High";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP3979"
    WHERE SITNAME = "IMS_DepReg_Occupancy_Low";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_DepReg_Occupancy_Low";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_Threads_Elapsed_Time_High";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_CMD_CF_RLE_Pct_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_CMD_Lock_Wait_Time_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_CMD_MQ_STATUS_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_CMD_MSC_Q_Count_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_CMD_RTA_Group_Resp_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_IRLM_CF_RLE_Percent_Crit";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_IRLM_CF_RLE_Percent_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_MSC_Queue_Count_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_MSC_Queue_Count_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_MSC_Queue_Status";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_RTA_Group_Response_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_RTA_Group_Response_Warning";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_RTA_Item_Response_Critical";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kip:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "IMS_RTA_Item_Response_Warning";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kip:KIP4095"
    WHERE SITNAME = "IMS_MSC_Queue_Status";